%define majver %(echo %version | cut -d. -f1-2)
Name:          NetworkManager-openvpn
Version:       1.8.18
Release:       1mamba
Summary:       NetworkManager plugin for openvpn VPN clients
Group:         Network/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://download.gnome.org/sources/NetworkManager-openvpn/%{majver}/NetworkManager-openvpn-%{version}.tar.xz
Patch0:        %{name}-1.8.10-dbus_policy.patch
Patch1:        NetworkManager-openvpn-0.9.6.0-gtk-3.6.patch
Patch2:        NetworkManager-openvpn-1.8.10-libnm-1.22.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcr-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnm-devel
BuildRequires: libnma-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libsecret-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libnm-devel >= 1.22.2
Requires:      openvpn
Provides:      networkmanagervpnplugin

%description
NetworkManager plugin for openvpn VPN clients.

%debug_package

%prep
%setup -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1

autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/metainfo/network-manager-openvpn.metainfo.xml
%{_datadir}/dbus-1/system.d/nm-openvpn-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-openvpn-service.name
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.a
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.la
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.a
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.la
%{_libdir}/NetworkManager/libnm-vpn-plugin-openvpn.so
%{_libexecdir}/nm-openvpn-auth-dialog
%{_libexecdir}/nm-openvpn-service
%{_libexecdir}/nm-openvpn-service-openvpn-helper
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 1.8.18-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 1.8.16-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 1.8.14-1mamba
- automatic version update by autodist

* Sun Apr 05 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.12-1mamba
- update to 1.8.12

* Fri Jan 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.10-1mamba
- update to 1.8.10
- built with libnm-devel 1.22.2 and libnm-gtk 1.8.24-2mamba

* Thu Sep 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.4-1mamba
- update to 1.8.4

* Thu May 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.2-1mamba
- update to 1.8.2

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.10.0-1mamba
- update to 0.9.10.0

* Sun Sep 15 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.4-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Thu Feb 21 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.0-2mamba
- added patch to fix build against gtk >= 3.6

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.0-1mamba
- automatic version update by autodist

* Thu May 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.4.0-1mamba
- update to 0.9.4.0

* Mon Mar 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.2.0-1mamba
- update to 0.9.2.0

* Sat Sep 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added virtual provide networkmanagervpnplugin
- configure dbus policy to allow sysadmin group and at_console user

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
